<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@0039=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@1018=0959</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@0220=30</action>
    </script>
  </cheat>

  <cheat desc="Lose a Life Now!">
    <script state="on">
      <action>maincpu.pb@0220=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>You die though when you fall off a high platform</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@AFFA</action>
      <action>temp1 =maincpu.mw@C283</action>
    </script>
    <script state="run">
      <action>maincpu.mb@AFFA=60</action>
      <action>maincpu.mw@C283=C53F</action> <!-- 1st = Catch, 2nd = Attack -->
    </script>
    <script state="off">
      <action>maincpu.mb@AFFA=temp0 </action>
      <action>maincpu.mw@C283=temp1 </action>
    </script>
  </cheat>

  <cheat desc="One hit to kill boss Now!">
    <script state="on">
      <action>maincpu.pb@0221=01</action>
    </script>
  </cheat>

  <cheat desc="Finish Current Level Now!">
    <script state="on">
      <action>maincpu.pb@03F8=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>Hold Attack Button</comment>
    <script state="run">
      <action>maincpu.pb@03E9=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
